%define upstream_name    Dist-Zilla-Plugin-Author-KENTNL-Prereqs-Latest-Selective
%define upstream_version 1.001001

%{?perl_default_filter}

Name:       perl-%{upstream_name}
Version:    %perl_convert_version %{upstream_version}
Release:    %mkrel 5

Summary:    Selectively upgrade a few modules to depend on the version used
License:    GPL+ or Artistic
Group:      Development/Perl
Url:        https://metacpan.org/release/%{upstream_name}
Source0:    https://cpan.metacpan.org/modules/by-module/Dist/%{upstream_name}-%{upstream_version}.tar.gz

BuildRequires: perl(Dist::Zilla::Util::EmulatePhase)
BuildRequires: perl(Dist::Zilla::Util::Test::KENTNL)
BuildRequires: perl(Eval::Closure)
BuildRequires: perl(File::Find)
BuildRequires: perl(File::Temp)
BuildRequires: perl(Module::Data)
BuildRequires: perl(Moose)
BuildRequires: perl(Package::DeprecationManager)
BuildRequires: perl(Test::More) >= 0.990.0
BuildRequires: perl(strict)
BuildRequires: perl(warnings)
BuildArch:  noarch

%description
no description found

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%__perl Makefile.PL INSTALLDIRS=vendor

%make_build

%check
%make_build test

%install
%make_install

%files
%doc Changes LICENSE META.json META.yml MYMETA.yml README
%{_mandir}/man3/*
%{perl_vendorlib}/*


%changelog
* Sun Mar 20 2022 umeabot <umeabot> 1.1.1-5.mga9
+ Revision: 1808826
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 1.1.1-4.mga8
+ Revision: 1503902
- Mageia 8 Mass Rebuild

* Thu Sep 20 2018 umeabot <umeabot> 1.1.1-3.mga7
+ Revision: 1282981
- Mageia 7 Mass Rebuild

* Mon Oct 02 2017 tv <tv> 1.1.1-2.mga7
+ Revision: 1164101
- rebuild with fixed rpm for missing autodeps

* Wed Sep 20 2017 sander85 <sander85> 1.1.1-1.mga7
+ Revision: 1156102
- update to 1.001001

* Sun Jun 19 2016 pterjan <pterjan> 1.1.0-5.mga6
+ Revision: 1025822
- Rebuild for perl 5.22.2

* Mon Feb 08 2016 umeabot <umeabot> 1.1.0-4.mga6
+ Revision: 948355
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 1.1.0-3.mga5
+ Revision: 747803
- Second Mageia 5 Mass Rebuild
- Mageia 5 Mass Rebuild

* Sun Aug 31 2014 sander85 <sander85> 1.1.0-1.mga5
+ Revision: 669998
- update to 1.001000

* Sat Aug 16 2014 sander85 <sander85> 1.0.1-1.mga5
+ Revision: 664042
- update to 1.000001

* Sun Aug 03 2014 sander85 <sander85> 1.0.0-1.mga5
+ Revision: 659380
- update to 1.000000

* Sat Feb 08 2014 sander85 <sander85> 0.1.2-1.mga5
+ Revision: 585984
- update to 0.1.2

* Fri Oct 18 2013 umeabot <umeabot> 0.1.0-3.mga4
+ Revision: 510943
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.1.0-2.mga3
+ Revision: 366038
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Thu Sep 27 2012 jquelin <jquelin> 0.1.0-1.mga3
+ Revision: 298671
- adding missing buildrequires:
- imported package perl-Dist-Zilla-Plugin-Author-KENTNL-Prereqs-Latest-Selective


* Wed Sep 26 2012 cpan2dist 0.1.0-1mga
- initial mageia release, generated with cpan2dist
